Validate a Password Reset Token - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Validate a Password Reset Token
POST /v2.0/users/validatepasswordresettoken
Try it
cURL
curl --request POST \
--url https://api-trial.cognigy.ai/new/v2.0/users/validatepasswordresettoken \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '\n{\n "token": "<string>"\n}\n'
Python
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/users/validatepasswordresettoken"
payload = { "token": "<string>" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({token: '<string>'})
};
fetch('https://api-trial.cognigy.ai/new/v2.0/users/validatepasswordresettoken', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Error Responses
- 400 Bad Request: Validation failed. Missing payload.
- 401 Unauthorized:
- 402 Payment Required: Validation failed. Missing payload.
- 403 Forbidden:
- 404 Not Found:
- 405 Method Not Allowed:
- 409 Conflict:
- 413 Payload Too Large:
- 500 Internal Server Error:
- 501 Not Implemented:
- 502 Bad Gateway:
- 503 Service Unavailable:
- 504 Gateway Timeout:
Authorizations
X-API-Key: (string, header, required) Supply the API Key in the HTTP-Header.
Headers
Accept: (enumAccept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.
Body
- token: (string, required) The password reset token.
Response
- 204: Password reset token is valid.